Messages-Antwort erstellen
curl --request POST \
--url https://apiany.ai/v1/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "minimax-m3",
"max_tokens": 512,
"messages": [
{
"role": "user",
"content": "Draft three API documentation section titles."
}
]
}
'import requests
url = "https://apiany.ai/v1/messages"
payload = {
"model": "minimax-m3",
"max_tokens": 512,
"messages": [
{
"role": "user",
"content": "Draft three API documentation section titles."
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'minimax-m3',
max_tokens: 512,
messages: [{role: 'user', content: 'Draft three API documentation section titles.'}]
})
};
fetch('https://apiany.ai/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "message",
"role": "assistant",
"content": [
{}
],
"model": "<string>",
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"input_tokens": 123,
"output_tokens": 123,
"cached_input_tokens": 123
}
}{
"error": {
"message": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"param": "<string>",
"code": "<string>"
}
}Chat
Messages-Antwort erstellen
Anthropic-kompatibler Messages-Endpunkt.
POST
/
v1
/
messages
Messages-Antwort erstellen
Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Beispiel:
"minimax-m3"
Show child attributes
Show child attributes
Maximale Anzahl zu generierender Token (erforderlich).
Erforderlicher Bereich:
x >= 1System-Prompt.
Zufälligkeit (0–1).
Erforderlicher Bereich:
0 <= x <= 1Erforderlicher Bereich:
0 <= x <= 1Nur aus den K wahrscheinlichsten Kandidaten samplen.
Benutzerdefinierte Stoppsequenzen.
Tools, die das Modell aufrufen kann; jedes enthält name, description und input_schema (JSON Schema).
Tool-Auswahl: { type: 'auto' } | { type: 'any' } | { type: 'tool', name }.
Bei true wird als Anthropic-SSE-Ereignisstrom zurückgegeben (message_start / content_block_delta / message_delta / message_stop).
⌘I